#!/bin/bash
clear
echo
echo --------------------------------------------------------------------------------
echo Teste den Abbruch des Jobs jobStoppableDelayedRetry \(bei laufendem Batch-Server\)
echo --------------------------------------------------------------------------------
echo
echo Starte jobStoppableDelayedRetry
_id=$(curl -s --request POST -d jobParameters=OK_ODER_FEHLER=Fehler,ANZ_WIEDERHOL=5,Zeit=$(date -Iseconds) \
      localhost:8080/spring-batch-admin-sample/jobs/jobStoppableDelayedRetry.json \
      | grep '"id"' | cut -d: -f2 | tr -d , | tr -d ' ' | tr -d '"')
echo
echo "jobExecution-id: $_id"
echo
curl localhost:8080/spring-batch-admin-sample/jobs/executions/$_id.json
echo
echo
echo Warte 0,5 Sekunden
sleep 0.5s
echo
echo Stoppe den Job mit: "curl --request DELETE localhost:8080/spring-batch-admin-sample/jobs/executions/$_id.json"
echo
curl --request DELETE localhost:8080/spring-batch-admin-sample/jobs/executions/$_id.json
echo
echo
sleep 0.2s
echo STOPPED-Ergebnis:
echo
curl localhost:8080/spring-batch-admin-sample/jobs/executions/$_id.json
echo
echo
