package springbatchdemo;

import org.springframework.batch.core.configuration.JobRegistry;
import org.springframework.batch.core.configuration.support.JobRegistryBeanPostProcessor;
import org.springframework.context.annotation.*;

@Configuration
public class JobRegistryBeanPostProcessorConfiguration
{
   @Bean
   public JobRegistryBeanPostProcessor jobRegistryBeanPostProcessor( JobRegistry jobRegistry )
   {
      JobRegistryBeanPostProcessor jobRegistryBeanPostProcessor = new JobRegistryBeanPostProcessor();
      jobRegistryBeanPostProcessor.setJobRegistry( jobRegistry );
      return jobRegistryBeanPostProcessor;
   }
}
